<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Styling Properties and Positioning</title>

		<link rel="stylesheet" type="text/css" href="./index.css">
	</head>
	<body>

		<h2>CSS Common Styling</h2>

		<!-- div tag isa a block element -->
		<div id="div-1">This is a div.</div>
		<!-- span is an inline element -->
		<span id="span-1">This is a span</span>

		<img src="https://place-puppy.com/450x450" id="img">

		<span id="span-2">This is another span</span>
		<div id="div-2">This is another div</div>

		<h3>Notes in block, inline and inline block</h3>

		<p id="p-1">Block takes up to the whole width by default</p>
		<p id="p-2">width 60</p>
		<p id="p-3">width 40</p>
		<p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>

		<p>Inline elements are things like bold and Italics. You cannot control the height and width of these elements.</p>

		<p>Inline-block can sit on the same line and combines block and inline properties</p>

		<div class="sample">width =30</div>
		<div class="sample">width =30</div>
		<div class="sample">width =30</div>

		<hr>
		<h3>Float</h3>
		<p>
			The float is used for positioning and formatting
		</p>

		<p>
			<img src="https://place-puppy.com/450x450" class="img-float">
			Lorem ipsum keme keme keme 48 years wrangler na ano at at bakit makyonget bonggakea ano nang cheapangga at bakit at ang ang planggana na ang na jutay paminta shongaers matod nang jowabella tungril at ang katagalugan intonses ganda lang shonga-shonga Mike mabaho neuro ang wrangler at kemerloo lulu majonders pinkalou ng tanders at ang ano Mike bakit nang ganda lang bakit guash ganders at nang shonget kasi buya at bakit at na ang shongaers ganders kasi daki Gino na at ang otoko biway mahogany emena gushung fayatollah kumenis ang 48 years na ang at bakit na ang otoko borta at chipipay juts balaj quality control bokot jowabelles majonders ugmas biway at ang pamenthol 48 years bakit katol na neuro at ang wiz kasi pamentos jowabelles pamin quality control 48 years. 
		</p>
		<hr>

		<h3>CSS Units</h3>

		<h4>px vs %</h4>

		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>

		<br>

		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<div>16px</div>
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>

		<div class="two-hundred-percent">200%</div>

		<div class="parent">

			<div class="one-rem">1rem</div>
			<div class="one-em">1em</div>
			<div class="two-rem">2rem</div>
			<div class="two-em">2em</div>

			<div class="two-hundred-percent">200%</div>

			<div class="box fifty-percent">50%</div>
			<div class="box one-hundred-pixels">100px</div>
		</div>

		<hr>

		<section class="background">
			<div class="container-bg">
				<h3 class="bg-title">CSS Background Properties</h3>
			</div>
		</section>

		<div class="parent-element">
			Parent Element
			<div class="child-one">
				I'm the child one element.
			</div>
			<div class="child-two">
				All eyes on me. I'm the child two element.
			</div>
			<div class="child-three">
				I'm the child three element.
			</div>
		</div>

		<hr>
		<h2>Z-index Example</h2>

		<p>An Element with greater stack order is always above an element with a lower stack order</p>

		<div class="container">
			<div class="black-box">Black Box (z-index: 1)</div>
			<div class="gray-box">Gray Box (z-index: 1)</div>
			<div class="green-box">Green Box (z-index: 1)</div>
		</div>


	</body>
</html>